using System;
using System.Diagnostics;
using System.IO;
using ivware.Mobile.RAPISync.Store;
using OpenNETCF.Desktop.Communication;

namespace ivware.Mobile.RAPISync.UnitTests
{
  internal class TestUtilities_CE
  {
    public static void CleanupCEFolder(string i_folder)
    {
      Trace.Write("Cleaning up CE folder " + i_folder + "... ");

        if (!RAPIUtils.Instance.RAPI.DeviceFileExists(i_folder))
        {
          throw new ArgumentException("Unable to cleanup CE directory " + i_folder + "! Dorectory does not exist!");
        }

        // Process the directory list
        FileList files = RAPIUtils.Instance.RAPI.EnumFiles(Path.Combine(i_folder, "*.*"));

        if (files != null)
        {
          foreach (FileInformation entry in files)
          {
            if ((entry.FileAttributes & (int) RAPI.RAPIFileAttributes.Directory) > 0)
            {
              RAPIUtils.Instance.RAPI.RemoveDeviceDirectory(Path.Combine(i_folder, entry.FileName), true);
            }
            else
            {
              RAPIUtils.Instance.RAPI.DeleteDeviceFile(Path.Combine(i_folder, entry.FileName));
            }
          }
        }

        if (RAPIUtils.Instance.RAPI.EnumFiles(Path.Combine(i_folder, "*.*")) != null)
          throw new ApplicationException("Unable to cleanup CE directory " + i_folder);
    	
      Trace.WriteLine("Done!");
    }
  }
}